सामग्री पर जाएँ

FLUX.2 [klein] 4B Base · Edit

इंटीग्रेट करें

मॉडल id flux-2/klein/4b/base/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/flux-2/klein/4b/base/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $0.018 18 API क्रेडिट चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें

4B Base मॉडल के साथ 4 इनपुट इमेज तक एडिट करें, नेगेटिव प्रॉम्प्ट और गाइडेंस कंट्रोल के साथ

Black Forest Labs · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

इमेज में किए जाने वाले संपादनों का वर्णन करने वाला प्रॉम्प्ट।

•आवश्यक image_urls
फ़ाइल ड्रॉप करें, या

संपादित की जाने वाली इमेज के URL, अधिकतम 4 इमेज की सीमा के साथ।

image_size

आउटपुट इमेज के आयाम; छोड़े जाने पर आयाम इनपुट इमेज से मेल खाते हैं।

num_images डिफ़ॉल्ट 1

निर्माण के लिए अनुरोधित इमेज की संख्या।

उन्नत negative_prompt · acceleration · output_format · guidance_scale · num_inference_steps · seed · enable_safety_checker
डिफ़ॉल्ट

Classifier-free guidance के माध्यम से बाहर रखी जाने वाली इमेज सामग्री निर्दिष्ट करने वाला नकारात्मक प्रॉम्प्ट।

acceleration डिफ़ॉल्ट regular

इमेज निर्माण के दौरान लागू किया गया त्वरण स्तर।

output_format डिफ़ॉल्ट png

परिणामी इमेज का फ़ाइल फ़ॉर्मैट।

डिफ़ॉल्ट 5

Classifier-free guidance पर लागू किया गया स्केल।

डिफ़ॉल्ट 28

चलाए जाने वाले inference चरणों की संख्या।

निर्माण seed ओवरराइड; इसे छोड़ने पर निर्माण यादृच्छिक रूप से seed चुनता है।

POST /run/flux-2/klein/4b/base/edit?wait=20 कोटेशन → $0.018
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/flux-2/klein/4b/base/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

FLUX.2 [klein] 4B Base · Edit के बारे में

`prompt` और `image_urls` में अधिकतम 4 इमेज के आधार पर इमेज संपादन। इसमें `negative_prompt`, `guidance_scale` (0 से 20), 4 से 50 चरण (डिफ़ॉल्ट 28) और none, regular या high `acceleration` उपलब्ध हैं। यदि `image_size` नहीं दिया जाता, तो इनपुट इमेज का आकार बनाए रखा जाता है। png, jpeg या webp में 1 से 4 इमेज लौटाता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
इमेज में किए जाने वाले संपादनों का वर्णन करने वाला प्रॉम्प्ट।
negative_promptवैकल्पिक
प्रकारstring
डिफ़ॉल्ट
Classifier-free guidance के माध्यम से बाहर रखी जाने वाली इमेज सामग्री निर्दिष्ट करने वाला नकारात्मक प्रॉम्प्ट।
guidance_scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट5
0 – 20
Classifier-free guidance पर लागू किया गया स्केल।
seedवैकल्पिक
प्रकारinteger | null
निर्माण seed ओवरराइड; इसे छोड़ने पर निर्माण यादृच्छिक रूप से seed चुनता है।
num_inference_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट28
4 – 50
चलाए जाने वाले inference चरणों की संख्या।
image_sizeवैकल्पिक
प्रकारobject
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
आउटपुट इमेज के आयाम; छोड़े जाने पर आयाम इनपुट इमेज से मेल खाते हैं।
num_imagesवैकल्पिक num_outputs
प्रकारinteger
डिफ़ॉल्ट1
1 – 4
निर्माण के लिए अनुरोधित इमेज की संख्या।
accelerationवैकल्पिक
प्रकारenum
डिफ़ॉल्टregular
noneregularhigh
इमेज निर्माण के दौरान लागू किया गया त्वरण स्तर।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
सुरक्षा जाँच, जो असुरक्षित चिह्नित इमेज के स्थान पर काली इमेज लौटाती है। true मान जाँच सक्षम करता है; false इसे केवल अधिकृत खातों के लिए अक्षम करता है, जबकि बिना प्राधिकरण वाले अनुरोधों की जाँच हमेशा की जाती है।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टpng
jpegpngwebp
परिणामी इमेज का फ़ाइल फ़ॉर्मैट।
image_urlsआवश्यक images
प्रकारurl[] · image
संपादित की जाने वाली इमेज के URL, अधिकतम 4 इमेज की सीमा के साथ।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux-2/klein/4b/base/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 18,
    "usd": "0.018",
    "charged": 18,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, content_type, file_name, file_size, width, height}संपादन से प्राप्त इमेज।
timings
object
seed
integerइमेज-निर्माण seed, जिसमें इनपुट में seed न दिए जाने पर यादृच्छिक रूप से चुना गया मान शामिल है; अन्यथा, यह दिए गए मान को दोहराता है।
has_nsfw_concepts
array of booleanबताता है कि बनाई गई इमेज में NSFW अवधारणाएँ दिखाई देती हैं या नहीं।
prompt
stringइमेज निर्माण के दौरान उपयोग किया गया प्रॉम्प्ट।

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/flux-2/klein/4b/base/edit.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt